const DevObj = require('./deviceObject')

;(async function () {

  let list = await DevObj.getPorts()
  console.log('get port list :::: ', list)

  let dev = new DevObj('/dev/tty.SLAB_USBtoUART', null)
  dev.on('open', () => {
    console.log('dev open')
  }).on('close', () => {
    console.log('dev close')
  })

  dev.connect()

}()).then(() => {}).catch(err => {
  console.log(err)
})